// src/dialog/state.rs
use crate::ui::handlers::context::DialogPurpose;

pub struct DialogState {
    pub dialog_show: bool,
    pub dialog_title: String,
    pub dialog_message: String,
    pub dialog_buttons: Vec<String>,
    pub dialog_active_button_index: usize,
    pub purpose: Option<DialogPurpose>,
    pub is_loading: bool,
}

impl Default for DialogState {
    fn default() -> Self {
        Self {
            dialog_show: false,
            dialog_title: String::new(),
            dialog_message: String::new(),
            dialog_buttons: Vec::new(),
            dialog_active_button_index: 0,
            purpose: None,
            is_loading: false,
        }
    }
}
